$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.28.3.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.28.3.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '4D1F36EA5987E6C17F0F17A6A5125E4159C8F912C11E0305B977984CC18266D8'
  checksumType = 'sha256'
  checksum64 = '4D1F36EA5987E6C17F0F17A6A5125E4159C8F912C11E0305B977984CC18266D8'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.28.3-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
